org.apache.fop.render.rtf.rtflib.rtfdoc

## Class ParagraphKeeptogetherContext

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.ParagraphKeeptogetherContext

    public final class ParagraphKeeptogetherContext
    extends Object

This context is used to manage the "keepn" RTF attribute Used by ParagraphBuilder and JforCmd

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getKeepTogetherOpenValue()`
`static void` `keepTogetherClose()` Close a "keep with next" paragraph
`static void` `keepTogetherOpen()` Open a new "keep with next" paragraph
`static boolean` `paragraphResetProperties()`
`static void` `setParagraphResetPropertiesUsed()` Reset the flag if the paragraph properties have been resested

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getKeepTogetherOpenValue

    public static int getKeepTogetherOpenValue()

Returns:
  the level of current "keep whith next" paragraph

#### keepTogetherOpen

    public static void keepTogetherOpen()

Open a new "keep with next" paragraph

#### keepTogetherClose

    public static void keepTogetherClose()

Close a "keep with next" paragraph

#### paragraphResetProperties

    public static boolean paragraphResetProperties()

Returns:
  true if the next paragraph must reset the properties

#### setParagraphResetPropertiesUsed

    public static void setParagraphResetPropertiesUsed()

Reset the flag if the paragraph properties have been resested